=== j2kviewer/src/CMakeLists.txt ===
PROJECT(j2kviewer Java)

ADD_LIBRARY(j2kviewer
  Exec.java
  ImageViewer.java
  MML.java
  PgmImage.java
)
