=== debian/changelog ===
lame (3.99~cvs20090502) unstable; urgency=low

  * Update based on many suggestions by Fabian Greffrath.
  * debian/compat: update to 7.
  * debian/control:
    + remame libmp3lame0-dev to libmp3lame-dev.
    + remove dependency on libc6-dev from libmp3lame-dev.
    + bump dependency on debhelper to 7.
    + bump Standards-Version to 3.8.0.
  * debian/libmp3lame0-dev.files: rename to libmp3lame-dev.files.
  * debian/*.files: rename to *.install.
  * debian/rules:
    + replace obsolete dh_clean -k with dh_prep.
    + substitute the use of dh_movefiles with dh_install.
    + changed the *FLAGS variables to use appends, not attributions.
    + include options -O1, -z,defs for the linker.
    + no need to pass options to dh_installman.
    + no need to pass options to dh_installchangelogs.

 -- Rogério Brito <rbrito@users.sf.net>  Sat, 02 May 2009 10:26:40 -0300

lame (3.99~cvs20090419) unstable; urgency=low

  * Updating the packaging of lame.
  * debian/control: include autotools-dev as a build dependency.
  * debian/rules:
    + made use of autotools-dev.
    + remove switch --without-vorbis.
    + substituted `pwd` by $(CURDIR).
  * debian/watch: also consider versions with a letter in them.

 -- Rogério Brito <rbrito@users.sf.net>  Sun, 19 Apr 2009 20:20:27 -0300

lame (3.99~cvs20081106) unstable; urgency=low

  * changes are now (mostly) committed to changelog.
  * debian/rules: include -Wl,--as-needed for the loader at compile time.
  * debian/rules: remove (not needed) hack for rpath (Tks Fabian Greffrath).
  * debian/control: depend libsndfile1-dev (Tks Fabian Greffrath).
  * debian/control: get rid of transitional liblame0.

 -- Rogério Brito <rbrito@users.sf.net>  Sat, 12 Jul 2008 09:14:54 -0300

lame (3.98) unstable; urgency=low

  * Preparation for the final release.

 -- Rogério Brito <rbrito@users.sf.net>  Sun, 29 Jun 2008 18:29:09 -0300

lame (3.98~beta8+cvs20080624) unstable; urgency=low

  * Preparation for the new upstream release (lame 3.98 final).
  * debian/control: eliminate build dependency on gtk1.2-dev.
  * debian/rules: include -Wextra in the CFLAGS variable.
  * debian/rules: explicitly disable some features from the build.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 24 Jun 2008 15:16:22 -0300

lame (3.98~beta8+cvs20080514) unstable; urgency=low

  * Fixing debian packaging details.
  * debian/rules: put detection of architectures for cross-compilation.
  * debian/rules: included support for noopt option.
  * debian/rules: take more care of building everything under debian/tmp.
  * debian/control: updated to Standards-Version 3.7.3 (no changes).
  * debian/control: put correctly Conflicts: and Replaces in libmp3lame0{,-dev}.
  * debian/lame.docs: remove TODO and sort by name.
  * debian/libmp3lame0-dev.docs: include TODO.
  * debian/libmp3lame0-dev: include liblame0.so in the package.
  * debian/watch: include watchfile.

 -- Rogério Brito <rbrito@users.sf.net>  Wed, 14 May 2008 01:44:46 -0300

lame (3.98~alpha1) unstable; urgency=low

  * New upstream release with various improvements;
  * Use libsndfile for input files;
  * Remove the parts that depend on gtk-1.2;
  * debian/rules: remove the DH_COMPAT variable;
  * debian/control: use ${binary:Version} to be up-to-date;
  * debian/control: use debhelper version >= 5;
	
 -- Rogério Brito <rbrito@users.sf.net>  Wed, 09 Jan 2008 17:12:19 -0200

lame (3.98~alpha0) unstable; urgency=low

  * debian/copyright: updated FSF real address;
  * debian/rules: small fixes;
  * doc/man/lame.1: used accented characters in troff format.

 -- Rogério Brito <rbrito@users.sf.net>  Mon, 10 Oct 2005 03:33:31 -0300

lame (3.97-8) unstable; urgency=low

  * debian/rules: enable full optimization, now that it works with GCC 4.

 -- Rogério Brito <rbrito@users.sf.net>  Mon,  5 Sep 2005 01:24:44 -0300

lame (3.97-7) unstable; urgency=low

  * debian/control: make libmp3lame0 provide and replace liblame0.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 16 Aug 2005 04:36:46 -0300

lame (3.97-6) unstable; urgency=low

  * debian/control: make libmp3lame0 provide liblame0 for legacy apps;
  * debian/control: fix typo in description of libmp3lame0-dev;
  * debian/libmp3lame0-dev.files: don't ship shared libraries.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 16 Aug 2005 04:03:42 -0300

lame (3.97-5) unstable; urgency=low

  * debian/control: fix use of SONAME in the package;
  * debian/liblame0.*: renamed to libmp3lame0.* as per above;
  * debian/liblame-dev: idem;
  * debian/rules: incorporate some changes by Christian Marillat.

 -- Rogério Brito <rbrito@users.sf.net>  Mon, 15 Aug 2005 00:47:25 -0300

lame (3.97-4) unstable; urgency=low

  * debian/control: exclude libsndfile0-dev as a build dependency.
  * debian/control: include libgtk1.2-dev as a build dependency.
  * debian/rules: s/--with-fileio=sndfile/--with-fileio=lame/, since
    grabbing input from stdin is a very important feature.

 -- Rogério Brito <rbrito@users.sf.net>  Fri,  5 Aug 2005 02:01:40 -0300

lame (3.97-3) unstable; urgency=low

  * doc/man/lame.1: document the --{un,}signed options.
  * doc/man/lame.1: document the --{big,little}-endian options.
  * debian/control: include libsndfile0-dev as a build dependency.
  * debian/rules: s/--with-fileio=lame/--with-fileio=sndfile/ .
	
 -- Rogério Brito <rbrito@users.sf.net>  Wed,  3 Aug 2005 21:35:17 -0300

lame (3.97-2) unstable; urgency=low

  * debian/rules: use dh_installman instead of dh_installmanpages.
  * doc/man/lame.1: escape minus signals with backslash.
	
 -- Rogério Brito <rbrito@users.sf.net>  Wed, 27 Jul 2005 04:58:39 -0300

lame (3.97-1) unstable; urgency=low

  * Preparation for the beta release of lame 3.97.
  * Still more improvements to come.

 -- Rogério Brito <rbrito@users.sf.net>  Tue, 26 Jul 2005 18:16:34 -0300

lame (3.97-0.2) unstable; urgency=low

  * Fixed debian/control according to the Debian Library Packaging Guide

 -- Jack Bates <ms419@freezone.co.uk>  Thu, 12 May 2005 13:41:28 -0700


