=== debian/control ===
Source: lame
Section: sound
Priority: optional
Maintainer: Rogério Brito <rbrito@users.sf.net>
Bugs: mailto:lame-dev@lists.sourceforge.net
Homepage: http://lame.sourceforge.net/
Build-Depends: debhelper (>= 7), libncurses5-dev, nasm [i386], libsndfile1-dev, autotools-dev
Standards-Version: 3.8.0

Package: lame
Architecture: any
Depends: ${shlibs:Depends}
Description: open source MP3 encoder
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the frontend encoder binary.

Package: libmp3lame0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: shared libraries for MP3 encoding
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the dynamic library.

Package: libmp3lame-dev
Architecture: any
Section: libdevel
Depends: libmp3lame0 (= ${binary:Version})
Conflicts: liblame-dev
Replaces: liblame-dev
Description: development files for lame
 Lame is a program which can be used to create compressed
 audio files. (Lame aint MP3 encoder). These audio files
 can be played back by popular mp3 players such as mpg123.
 To read from stdin, use "-" for <infile>. To write to
 stdout, use a "-" for <outfile>.
 .
 This package contains the static library and header files
 for development with lame.
