=== pkg/linux/debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: John Stebbins <jstebbins.hb@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, libtool, libgtkhtml3.14-dev, libhal-storage-dev, intltool, autoconf, yasm (>= 0.7.0), libbz2-dev, zlib1g-dev
Standards-Version: 3.7.3
Homepage: http://www.handbrake.fr/

Package: handbrake-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: handbrake
Description: versatile DVD ripper and video transcoder - command line
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other videos
 into H.264, MPEG-4, or OGG formatted media. It's particularly useful for making
 videos that are compatible with portable video devices such as the Apple
 iPod/iPhone. This package contains the command-line variant,
 HandBrakeCLI

Package: handbrake-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: handbrake
Description: versatile DVD ripper and video transcoder - GTK GUI
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other videos
 into H.264, MPEG-4, or OGG formatted media. It's particularly useful for making
 videos that are compatible with portable video devices such as the Apple
 iPod/iPhone. This package contains the graphical variant, ghb.
