=== debian/watch ===
version=2

http://downloads.xiph.org/releases/theora/libtheora-(.*)\.tar\.gz	debian uupdate
